Skip to main content
`Ctrl`+`K`

# PetscOptionsPrefixPop

Remove the latest options prefix, see `PetscOptionsPrefixPush()` for details

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsPrefixPop(PetscOptions options)

Logically Collective on the `MPI_Comm` used when called `PetscOptionsPrefixPush()`

## Input Parameter

- options - options database, or `NULL` for the default global database

## See Also

`PetscOptionsPrefixPush()`, `PetscOptionsPush()`, `PetscOptionsPop()`, `PetscOptionsCreate()`, `PetscOptionsSetValue()`

## Level

advanced

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages